Sisimai::SMTP::Error(3pm)

NAME
Sisimai::SMTP::Error - SMTP Errors related utilities

SYNOPSIS
    use Sisimai::SMTP::Error;
    print Sisimai::SMTP::Error->is_permanent('SMTP error message');
    print Sisimai::SMTP::Error->soft_or_hard('userunknown', 'SMTP error message');

DESCRIPTION
Sisimai::SMTP::Error provide method to check an SMTP errors.

CLASS METHODS

  "is_permanent(String)"
is_permanent() checks the given string points an permanent error or not.

    print Sisimai::SMTP::Error->is_permanent('5.1.1 User unknown'); # 1
    print Sisimai::SMTP::Error->is_permanent('4.2.2 Mailbox Full'); # 0
    print Sisimai::SMTP::Error->is_permanent('2.1.5 Message Sent'); # undef

  "soft_or_hard(String, String)"
soft_or_hard() returns string 'soft' if given bounce reason is a soft bounce. When the reason is a hard bounce, this method returns 'hard'. If the return value is an empty string, it means that returned email may not be a bounce.

    print Sisimai::SMTP::Error->soft_or_hard('userunknown', '5.1.1 No such user');   # 'hard'
    print Sisimai::SMTP::Error->soft_or_hard('mailboxfull');                         # 'soft'
    print Sisimai::SMTP::Error->soft_or_hard('vacation');                            # ''

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2016-2018,2020-2022 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.